export declare function supportsNotifications(): boolean;
/**
 * Initializes the desktop-notifications system.
 *
 * @param toastActivatorClsid CLSID used by Windows to report notification events
 */
export declare function initializeNotifications(toastActivatorClsid: string): void;
/** Terminates the desktop-notifications system. */
export declare function terminateNotifications(): void;
export declare class DesktopNotification {
    readonly title: string;
    readonly body: string;
    /** Handler of click events. */
    onclick?: () => void;
    private readonly id;
    constructor(title: string, body: string);
    /** Shows the notification. */
    show(): void;
    /** Closes the notification if it was ever shown. */
    close(): void;
}
